> ## Documentation Index
> Fetch the complete documentation index at: https://developers.takeprofit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Linked Security

> Retrieve the linkage information for a specific security.

### Request Body

- `security_guid` (string, required): GUID of the security in TakeProfit system.
    

### Response

- `status`: Operation status.
    
- `linked_security`: The linked security information.
    
    - `security_guid` (string): GUID of the security.
        
    - `partner_security_id` (string): Partner's identifier.



## OpenAPI

````yaml post /takeprofit.partner.external.security.v1.LinkApi.GetLinkedSecurity
openapi: 3.0.0
info:
  title: TakeProfit Partner API
  description: TakeProfit Partner API documentation
  version: 0.1-beta
servers:
  - url: https://api.dev.tpinf.in
    description: Development environment
  - url: https://api.takeprofit.com
    description: '''Production environment'''
security: []
tags:
  - name: Partner API
  - name: Credentials
    description: >-
      The Credentials API allows partners to authenticate and obtain access
      tokens required for accessing other secured endpoints. This documentation
      provides details on how to use the authentication endpoints, including
      request and response formats.


      ## Overview


      The Authentication API provides two primary endpoints:


      1. **Create Token**: Authenticates a partner using their API key and
      returns an access token and a refresh token.
          
      2. **Refresh Token**: Generates a new access token using a valid refresh
      token.
  - name: Link
    description: >-
      The Link API allows partners to manage the linkage between their own
      securities and the securities provided by TakeProfit. This includes
      creating, retrieving, and deleting links between securities.
  - name: Reference API
    description: Set of APIs to get reference info such as exchanges, securities.
  - name: Marketdata API
    description: Set of APIs to get marketdata such as historical candles
  - name: Widgets
    description: |-
      Describe how to use TakeProfit Backend API from Widgets.

      Each request to API must has 'accesstoken' header with valid JWT-token.

      Describe here how to obtain JWT for widget.
paths:
  /takeprofit.partner.external.security.v1.LinkApi.GetLinkedSecurity:
    post:
      tags:
        - Link
      summary: Get Linked Security
      description: >-
        Retrieve the linkage information for a specific security.


        ### Request Body


        - `security_guid` (string, required): GUID of the security in TakeProfit
        system.
            

        ### Response


        - `status`: Operation status.
            
        - `linked_security`: The linked security information.
            
            - `security_guid` (string): GUID of the security.
                
            - `partner_security_id` (string): Partner's identifier.
      parameters:
        - name: accesstoken
          in: header
          schema:
            type: string
          description: JWT access token
          example: YOUR_ACCESS_TOKEN_HERE
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                security_guid: 6ef11658-5a1c-4baf-9387-d977dcca6129
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
              example:
                linked_security:
                  security_guid: 6ef11658-5a1c-4baf-9387-d977dcca6129
                  partner_security_id: '124'

````